import 'package:flutter/material.dart';
import 'package:flutter_kingmed_ui/flutter_kingmed_ui.dart';

class DropDownPage extends StatefulWidget{
  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return DropDownPageState();
  }
}

class DropDownPageState extends State<DropDownPage>{
  GlobalKey key=new GlobalKey<ScaffoldState>();
  DropdownMenuController _dropdownMenuController = DropdownMenuController();

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    return Scaffold(
      appBar: AppBar(),
      body: Container(
          height: double.infinity,
          child: Stack(
              key: key,
              children: [
                
                DropDownHeader(items: [
                   DropDownHeaderItem(
                     '筛选',
                     iconData: Icons.keyboard_arrow_down,
                     iconDropDownData: Icons.keyboard_arrow_up,
                   ),
                ], controller: _dropdownMenuController, stackKey: key),

                DropDownMenu(
                  controller: _dropdownMenuController,
                  animationMilliseconds: 200,
                  dropdownMenuChanging: (isShow, index) {

                  },
                  dropdownMenuChanged: (isShow, index) {

                  },

                  menus: [

                    DropdownMenuBuilder(
                      dropDownHeight: 250,
                      dropDownWidget:  Container(
                          decoration: new BoxDecoration(
                              border: Border(top: BorderSide(color:Colors.black54))
                          ),
                          width: 120,
                          child: Container(
                             height: 250,
                             color: Colors.red,
                             child: Text('data stk sssc'),
                          )
                      ),
                    ),

                  ],
                ),
                
              ],
          ),
      ),
    );
  }

}