part of flutter_kingmed_ui;

class PartLoadView extends StatefulWidget{
  Widget child;
  bool isLoad;
  double? loadWidth;
  Color loadColor;
  PartLoadView({required this.child,this.isLoad=true,this.loadWidth,this.loadColor=Colors.grey});

  @override
  State<StatefulWidget> createState() {
    // TODO: implement createState
    return PartLoadViewState();
  }

}

class PartLoadViewState extends State<PartLoadView>{

  @override
  Widget build(BuildContext context) {

    // TODO: implement build
    return Container(
       width: widget.loadWidth??25,
       height: widget.loadWidth??25,
       child: Stack(
         children: [
           Offstage(
             offstage: widget.isLoad,
             child:  widget.child,
           ),
           Center(
             child: Offstage(
               offstage: !widget.isLoad,
               child: SizedBox(
                // width: widget.loadWidth??20,
               //  height:widget.loadWidth??20,
                 width: 25,
                 height: 25,
                 child: new CircularProgressIndicator(
                   strokeWidth: 3.0,
                   backgroundColor:Colors.white,
                   valueColor: new AlwaysStoppedAnimation<Color>(widget.loadColor),
                 ),
               ),
             ),
           )

         ],
       ),
    );

  }

}