part of flutter_kingmed_ui;

class StatusPaint extends CustomPainter{
  Color primaryColor;
  StatusPaint({this.primaryColor=Colors.blue});

  Paint _paint = Paint()
    ..strokeCap = StrokeCap.round//画笔笔触类型
    ..isAntiAlias = true //是否启动抗锯齿
    ..style=PaintingStyle.stroke
   // ..style = PaintingStyle.fill //绘画风格，默认为填充
    ..strokeWidth = 5; //画笔的宽度

  Paint _paintArc = Paint()
    ..strokeCap = StrokeCap.round//画笔笔触类型
    ..isAntiAlias = true //是否启动抗锯齿
    ..style=PaintingStyle.stroke
    // ..style = PaintingStyle.fill //绘画风格，默认为填充
    ..strokeWidth = 3; //画笔的宽度

  @override
  void paint(Canvas canvas, Size size) {
    // TODO: implement paint
    _paint.color=primaryColor;
    _paintArc.color=primaryColor;
    Offset center = Offset(size.width/2, size.height/2);  //  坐标中心
    canvas.drawCircle(center, size.width/2, _paint);
    var scale=-dartMath.pi*2/360;
    canvas.drawArc(Rect.fromCircle(center: center, radius: size.width/2-8), scale*225, scale*90, false, _paintArc);
    canvas.drawArc(Rect.fromCircle(center: center, radius: size.width/2-8), scale*50, scale*80, false, _paintArc);
  }

  @override
  bool shouldRepaint(covariant CustomPainter oldDelegate) {
    // TODO: implement shouldRepaint
    return true;
  }

}